using System;
using System.Globalization;
using System.Resources;
using System.Web.UI;

namespace GlobalSolution
{
	/// <summary>
	/// ȫԴ
	/// </summary>
	public class ResourceHelper
	{
		private ResourceManager _rm=null;
		private Page _page=null;

		public ResourceHelper(Page page)
		{
			_page=page;
			PrepareResource();
		}
		/// <summary>
		/// õǰĻSession["cultureName"]ȡ
		/// </summary>
		protected CultureInfo CurrentCulture
		{
			get
			{
				if(_page.Session["cultureName"]!=null)
					return CultureInfo.CreateSpecificCulture(_page.Session["cultureName"].ToString());
				else	//SessionδãֱӴweb.configжȡĬ
					return CultureInfo.CreateSpecificCulture(System.Configuration.ConfigurationSettings.AppSettings["cultureName"]);
			}
		}
		/// <summary>
		/// ʼԴ
		/// </summary>
		public void PrepareResource()
		{
			_rm = ResourceManager.CreateFileBasedResourceManager("business",_page.Server.MapPath("resources")+System.IO.Path.DirectorySeparatorChar,null);
		}
		/// <summary>
		/// Դָ
		/// </summary>
		protected ResourceManager resource
		{
			get
			{
				if(_rm==null)
					PrepareResource();
				return _rm;
			}
		}
		/// <summary>
		/// Դַ
		/// </summary>
		/// <param name="ResourceID">ԴID</param>
		/// <returns></returns>
		public string GetString(string ResourceID)
		{
			return this.resource.GetString(ResourceID,this.CurrentCulture);
		}
		/// <summary>
		/// ؼԶؼȫ
		/// </summary>
		public void InitUI()
		{
			
		}
	}
}
